Munin::Node::Configure::PluginList(3)

NAME
Munin::Node::Configure::PluginList - Loading and listing a collection of plugins

SYNOPSIS
  my $plugins = Munin::Node::Configure::PluginList->new(
        libdir     => '/usr/share/munin/plugins/',
        servicedir => '/etc/munin/plugins/',
  );
  $plugins->load('auto');
  foreach my $plugin ($plugins->list) {
        # do something to each 'auto' plugin in turn
  }

SUBROUTINES

new(%args)
    Constructor.

    Required arguments are 'libdir' and 'servicedir', which are the plugin library and service directory, respectively.

load(@families)
    Finds all the plugins in 'libdir' that are in any of @families, and any instances of these plugins in 'servicedir'.

list()
    Returns a list of Munin::Node::Configure::Plugin objects currently loaded, sorted alphabetically by name.

names()
    Returns the names of the currently-loaded plugins.